slpkg(1)

NAME

slpkg - Package manager utility for Slackware.

SYNOPSIS

slpkg [COMMAND] [OPTIONS] <packages>

slpkg [-h|-v] [-u, update] [-U, upgrade] [-I, repo-info] [-g, configs] [-T, clean-tmp] [-b, build] [-i, install] [-d, download] [-R, remove] [-f, find] [-w, view] [-s, search] [-e, dependees] [-t, tracking] -y, --yes, -c, --check, -O, --resolve-off, -r, --reinstall, -k, --skip-installed, -E, --full-reverse, -S, --search, -B, --progress-bar, -p, --pkg-version, -P, --parallel, -o, --repository=NAME, -z, --directory=PATH

DESCRIPTION

Slpkg is a software package manager that installs, updates, and removes packages on Slackware based systems. It automatically computes dependencies and figures out what things should occur to install packages. Slpkg makes it easier to maintain groups of machines without having to manually update.

Slpkg works in accordance with the standards of the organization SlackBuilds.org to build packages. Also uses the Slackware Linux instructions for installation, upgrading or removing packages.

COMMANDS

-u, update
    Synchronize remote repositories with local repositories and update the databases with the newer packages list.

-U, upgrade
    Upgrade the installed packages if the newer version exists in the repository.

-I, repo-info
    View information related to repositories, such as which repositories are active or when they were upgraded, and how many packages they contain.

-T, clean-tmp
    Deletes all the downloaded SlackBuilds scripts, sources or packages.

-g, configs
    Edit the configuration /etc/slpkg/slpkg.toml file via the dialog utility.

-b, build
    Builds the Slackbuilds scripts without installing them.

-i, install
    Builds and installs the packages in the correct order, and also logs the packages with the dependencies for removal
     with the remove command.

-d, download
    Download the current SlackBuilds scripts and the sources or packages without building or installing them.

-R, remove
    Removes packages with dependencies if the packages was installed with 'slpkg install' method.

-f, find
    Find and display the installed packages on the system.

-w, view
    Display about the package information on the terminal.

-s, search
    Search and match packages from the repository.

-e, dependees
    Display which SlackBuild packages depend on from other Slackbuild package.

-t, tracking
    Tracking the packages dependencies.

OPTIONS

-y, --yes
    Answer Yes to all questions. (to be used with: -u, update, -U, upgrade, -b, build, -i, install, -R, remove, -d, download,)

-c, --check
    Check a procedure before you run it. (to be used with: -u, update, -U, upgrade)

-O, --resolve-off
    Turns off dependency resolving. (to be used with: -U, upgrade, -b, build, -i, install, -R, remove, -t, tracking)

-r, --reinstall
    Use this option if you want to upgrade all packages even if the same version is already installed. Do not skip installed packages. (to be used with: -U, upgrade, -i, install)

-k, --skip-installed
    Skip the installed packages when you try to reinstall them. Note: This option affects only the dependencies. (to be used with: -i, install)

-F, --fetch
    If the sources of your repository are not optimized for your location, it may take longer to download packages than usual, leading to a poor user experience. It is recommended to fetch the fastest mirror to see the score of the fastest and the slower mirror. (to be used with: -I, repo-info)

-E, --full-reverse
    Full reverse dependency. Works only with -e, dependees command and show the requires too. (to be used with: -e, dependees)

-S, --search
    Enable the dialog utility to search packages from the repository. Example try: 'slpkg install python3 --search' or 'slpkg download python3 --search' and etc. (to be used with: -b, build, -i, install, -d, download, -R, remove, -f, find, -w, view, -s, search, -e, dependees, -t, tracking)

-B, --progress-bar
    Apply it to see a static progress bar instead of process execute like building, installing or removing. (to be used with: -b, build, -i, install, -U, upgrade, -R --remove)

-p, --pkg-version
    Display the repository package version. (to be used with: -e, dependees, -t, tracking, -w, view, -s --search)

-P, --parallel
    Download files in parallel to speed up the process. (to be used with: -u, update, -U, upgrade, -b, build, -i, install, -d, download)

-m, --no-case
    Case-sensitive pattern matching packages. (to be used with: -b, build, -i, install, -d, download, -s, search, -f, find, -w, view, -t, tracking, -e, dependees)

-o, ---repository=NAME
    Switches the default repository and set the repository you want to work with. Make sure that you have been enabling the repository in the file '/etc/slpkg/repositories.toml'. Repo pattern '*' supported only with: '-s, search' option. (to be used with: -u, update, -U, upgrade, -c, check-updates, -I, repo-info, -b, build, -i, install, -d, download, -s, search, -t, tracking, -e, dependees, -w, view)

-z, --directory=PATH
    The directory is the path where the files will be saved. (to be used with: -d, download)

-h | --help
    Show help information and exit.

-v | --version
    Print version and exit.

OPTION SYNTAX

Away from the classical way, you may put several options that do not require arguments together, like:

       slpkg -iPny [PACKAGES...]

FILELIST|PACKAGES

Instead of packages, you can pass a text file with suffix '.pkgs' and with the names of the packages. Example: 'slpkg install list.pkgs'. Edit the config '/etc/slpkg/slpkg.toml' file to change the suffix if you want. You can use lists from others, like '.sqf' files.

MUST YOU KNOW

There are five indicators when some commands are used, for example: Cyan: To install, Yellow: To build, Grey: It's installed, Violet: For the upgrade, Red: To remove. When you use the install, build, upgrade or remove commands you should know that, if the package is installed then its color will change to gray, if the package is upgradeable then it will change to violet, and if it is not installed then its color will be cyan. Also, if you try to remove a package you will see the package color turns red. For the upgrade command, you should know, that you can upgrade packages from different repositories, if you edit the '/etc/slpkg/repositories.toml' file and remove the repository tag. Then the slpkg can't recognize the repository of the packages. With the remove command, it's going to remove the dependencies if the package had installed with the 'slpkg install' command, otherwise, the slpkg does not know the dependencies that are installed with the packages that going to remove. You can apply the asterisk '*' instead of a package, to matching all the packages from a repository. You can't apply an asterisk to the '-o, --repository=' option, except for the '-s, search', command. Note: There is currently no function to indicate the packages if the colors are disabled.

EXIT STATUS

0 Successful slpkg execution.

1 Something wrong happened.

Installpkg and upgradepkg exit error code:

1 = tar returned error code

2 = corrupt compression envelope

3 = does not end in .tgz

4 = no such file

5 = external compression utility missing

EXPLANATION CHARACTERS

[•] Processing status: Red is still processing, Green is done.

[✔️] Done character: Appear when the processing is done.

[X] Failed character: Appear when the processing is failed.

[↪] Skipped character: Appear when the processing skipped.

CONFIGURATION FILES

Configuration file in the /etc/slpkg/slpkg.toml file.

Repositories file in the /etc/slpkg/repositories.toml file.

Blacklist file in the /etc/slpkg/blacklist.toml file.

slpkg_new-configs command it's managing the .new configuration files easily and fast. Move, copy or remove them.

REPORT BUGS

Please report any found to: https://gitlab.com/dslackw/slpkg/-/issues.

AUTHOR

Dimitris Zlatanidis <dslackw@gmail.com>